<template>
  <v-app>
    <v-content>
      <v-app-bar color="primary">
        <v-toolbar-title class="white--text d-flex align-center">
          <img src="https://cdn.goldenm.space/logos/goldenm-white.svg" width="40" />
          <font face="'Cabin', helvetica, sans-serif">Vuetify Dual-List</font>
        </v-toolbar-title>

        <v-spacer />

        <v-tooltip left>
          <template v-slot:activator="{ on }">
            <v-btn
              fab
              small
              depressed
              color="white"
              v-on="on"
              href="https://gitlab.com/goldenm-software/open-source-libraries/vuetify-dual-list"
              target="_blank"
            >
              <v-icon>mdi-gitlab</v-icon>
            </v-btn>
          </template>

          <span>GitLab repository</span>
        </v-tooltip>
      </v-app-bar>

      <v-container>
        <h2 class="text-center">Basic usage</h2>

        <v-layout row wrap>
          <v-flex xs12 md8>
            <h3>Dual-List component</h3>
            <vuetify-dual-list
              v-model="selected"
              :items="items"
            />
          </v-flex>

          <v-flex xs12 md4>
            <h3>v-model result</h3>
            <pre>{{ selected }}</pre>
          </v-flex>
        </v-layout>

        <v-divider class="my-6" />

        <h2 class="text-center">Usage with props</h2>

        <v-layout row wrap>
          <v-flex xs12 md8>
            <h3>Dual-List component</h3>
            <vuetify-dual-list
              v-model="selected"
              :items="items"
            >
              <template v-slot:option="{ item }">
                <v-list-item-content>
                  {{ item.text }} <br/> <small>{{ item.desc }}</small>
                </v-list-item-content>
              </template>

              <template v-slot:selected="{ item }">
                <v-list-item-content>
                  {{ item.text }} <br/> <small>{{ item.desc }}</small>
                </v-list-item-content>
              </template>
            </vuetify-dual-list>
          </v-flex>

          <v-flex xs12 md4>
            <h3>v-model result</h3>
            <pre>{{ selected }}</pre>
          </v-flex>
        </v-layout>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import { VuetifyDualList } from 'Lib'
// import { VuetifyDualList } from '@goldenm/vuetify-dual-list'

export default {
  components: {
    VuetifyDualList
  },

  data () {
    return {
      items: [],
      selected: []
    }
  },

  created () {
    const items = []

    for (let i = 0; i < 1000; i++) {
      items.push({
        value: i + 1,
        text: `Item ${i}`,
        desc: `Description ${i}`
      })
    }

    this.items = [...items]
  }
}
</script>
